# Variables must be defined
%define with_switch_root	1
%define with_nbd		1

# switchroot provided by util-linux-ng in F-12+
%if 0%{?fedora} > 11 || 0%{?rhel} >= 6
%define with_switch_root 0
%endif
# nbd in Fedora only
%if 0%{?rhel} >= 6
%define with_nbd 0
%endif

Name: dracut
Version: 004
Release: 256.0.1%{?dist}.1
Summary: Initramfs generator using udev
Group: System Environment/Base		
License: GPLv2+	
URL: http://apps.sourceforge.net/trac/dracut/wiki

Source0: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut-%{version}.tar.bz2
Patch1: 0001-init-fixed-emergency_shell-argument-parsing.patch
Patch2: 0002-mdraid-prefer-etc-mdadm.conf-over-etc-mdadm-mdadm.co.patch
Patch3: 0003-base-fix-selinux-handling-if-.autorelabel-is-present.patch
Patch4: 0004-Add-a-check-file-for-multipath.patch
Patch5: 0006-beautified-man-pages.patch
Patch6: 0007-init-dashified.patch
Patch7: 0008-dasd_mod-changed-prio-of-cmdline-hook-to-be-executed.patch
Patch8: 0009-test-iSCSI-fixed-test-script.patch
Patch9: 0010-rootfs-block-strip-ro-rw-options-from-fstab-options.patch
Patch10: 0011-zfcp-install-s390utils-script-rather-than-local-one.patch
Patch11: 0012-add-preliminary-IPv6-support.patch
Patch12: 0013-Move-multipath-scan-earlier.-It-must-go-before-any-o.patch
Patch13: 0014-make-nfs4-work.patch
Patch14: 0015-nfs-suppress-error-message-about-missing-passwd.patch
Patch15: 0016-Fixed-Move-multipath-scan-earlier.-It-must-go-before.patch
Patch16: 0017-add-etc-dracut.conf.d.patch
Patch17: 0018-dracut.conf-added-add_dracutmodules.patch
Patch18: 0019-removed-cdrom-hack-for-live-CDs.patch
Patch19: 0020-nfs4-rpc.idmapd-does-not-accept-parameters-anymore.patch
Patch20: 0021-fix-selinux-disabled-state.patch
Patch21: 0022-s390-_cio_free-needs-seq.patch
Patch22: 0023-fix-lib64-check.patch
Patch23: 0024-mount-root-do-not-pollute-init-arguments.patch
Patch24: 0025-selinux-fix-selinux-0-handling.patch
Patch25: 0026-fix-IFS-restoring.patch
Patch26: 0027-dracut-removed-local-not-inside-of-function.patch
Patch27: 0028-mount-root-skip-comments.patch
Patch28: 0029-mount-root-also-filter-defaults-from-mount-options.patch
Patch29: 0030-dracut-add-check-if-we-can-write-to-the-output-image.patch
Patch30: 0031-Use-multipath-if-it-s-installed-and-being-used-for-t.patch
Patch31: 0032-parse-kernel.sh-must-have-a-shebang.patch
Patch32: 0033-kernel-modules-add-keyboard-kernel-modules.patch
Patch33: 0034-udev-rules-choose-between-several-firmware-upload-to.patch
Patch34: 0035-add-readonly-overlay-support-for-dmsquash.patch
Patch35: 0036-dmsquash-live-use-getsize64-instead-of-getsize.patch
Patch36: 0037-Fix-boot-with-user-suspend-and-no-resume-kernel-argu.patch
Patch37: 0038-Pass-init-argument-s-to-real-init.patch
Patch38: 0039-dmsquash-live-root-use-blockdev-with-getsz.patch
Patch39: 0040-rpmversion-install-add-shebang.patch
Patch40: 0041-dracut-do-a-full-ldconfig-in-the-initramfs.patch
Patch41: 0042-dracut-move-ldconfig-after-include.patch
Patch42: 0043-test-use-ldconfig-processing-for-roots-as-well.patch
Patch43: 0044-xen-try-harder-to-locate-xen-detect.patch
Patch44: 0045-silence-xen-detect-detection.patch
Patch45: 0046-kernel-modules-installkernel-force-install-some-modu.patch
Patch46: 0047-lvm_scan-use-ignoremonitoring-rather-than-monitor-n.patch
Patch47: 0048-Add-dcb-support-to-dracut-s-FCoE-support-rh563794.patch
Patch48: 0049-fcoe-soft-install-fcoe-bins.patch
Patch49: 0050-lvm-lvm_scan.sh-silence-lvm-version-check.patch
Patch50: 0051-dracut.spec-remove-libselinux-libsepol-requirement.patch
Patch51: 0052-updated-NEWS-moved-tag-005.patch
Patch52: 0053-dracut.8-fixed-LUKS-paragraph.patch
Patch53: 0054-dracut.8-add-information-which-parameter-can-be-spec.patch
Patch54: 0055-dmraid-parse-different-error-messages.patch
Patch55: 0056-init-add-hacky-cdrom-polling-mechanism.patch
Patch56: 0057-add-module-btrfs.patch
Patch57: 0058-teach-dmsquash-live-root-to-use-rootflags.patch
Patch58: 0059-init-trigger-with-action-add.patch
Patch59: 0060-add-missing-paragraph-for-add-drivers.patch
Patch60: 0061-manpage-addition-for-kernel-drivers.patch
Patch61: 0062-dracut-add_drivers-from-the-command-line-should-add-.patch
Patch62: 0063-AUTHORS-updated.patch
Patch63: 0064-kernel-modules-hardcode-sr_mod.patch
Patch64: 0065-kernel-modules-only-remove-ocfs2-if-all-filesystems-.patch
Patch65: 0066-dracut.spec-add-btrfs-module.patch
Patch66: 0067-Use-pigz-for-gzipping-if-available.patch
Patch67: 0068-nfs-fixed-nsswitch.conf-parsing.patch
Patch68: 0069-network-removed-bogus-udev-rules.patch
Patch69: 0070-network-correct-rules-for-multiple-nics.patch
Patch70: 0071-nfs-add-missing-nfsidmap-libs.patch
Patch71: 0072-udev-rules-be-more-careful-about-md-devices-and-blki.patch
Patch72: 0073-dracut-lib-turn-of-shell-debug-mode-in-strstr-and-ge.patch
Patch73: 0074-mdraid-try-to-start-container-childs-manually-with-m.patch
Patch74: 0075-init-fix-cdrom-polling-loop.patch
Patch75: 0076-init-do-not-redirect-to.patch
Patch76: 0077-loginit-turn-off-debugging.patch
Patch77: 0078-run-qemu-add-usr-libexec-qemu-kvm-to-search.patch
Patch78: 0079-add-rd_retry-kernel-command-line-parameter.patch
Patch79: 0080-dracut.spec-removed-e2fsprogs-requirement.patch
Patch80: 0081-NEWS-update.patch
Patch81: 0082-Needs-btrfsctl-not-btrfs-module.patch
Patch82: 0083-btfrs-load-btrfs-module-and-updated-NEWS.patch
Patch83: 0084-kernel-modules-add-more-hardcoded-modules.patch
Patch84: 0085-dracut.conf-use-as-default-for-config-variables.patch
Patch85: 0086-znet-use-ccw-init-and-ccw-rules-from-s390utils-in-dr.patch
Patch86: 0087-znet-renamed-rd_CCW-to-rd_ZNET.patch
Patch87: 0088-fcoe-add-sbin-vconfig-and-the-8021q-kernel-module.patch
Patch88: 0089-dracut.8-fix-rd_LVM_LV-description.patch
Patch89: 0090-plymouth-only-display-luksname-and-device-for-multip.patch
Patch90: 0091-dracut.spec-remove-elfutils-libelf-requirement.patch
Patch91: 0092-use-grep-directly-without-nm-to-drop-binutils-requir.patch
Patch92: 0093-plymouth-plymouth-populate-initrd-get-rid-of-awk.patch
Patch93: 0094-dracut-get-rid-of-the-file-command.patch
Patch94: 0095-90mdraid-dracut-functions-fix-md-raid-hostonly-detec.patch
Patch95: 0096-40network-parse-ip-opts.sh-add-ip-auto6-to-valid-opt.patch
Patch96: 0097-40network-dhclient-script-be-more-verbose.patch
Patch97: 0098-40network-ifup-be-more-verbose.patch
Patch98: 0099-95fcoe-fcoe-up-wait_for_if_up.patch
Patch99: 0100-get-rid-of-rdnetdebug.patch
Patch100: 0101-selinux-loadpolicy.sh-exit-for-selinux-0.patch
Patch101: 0102-dracut-functions-check-if-specific-dracut-module-is-.patch
Patch102: 0103-dracut-functions-beautified-warnings.patch
Patch103: 0104-multipath-simplify-and-install-wwids-rhbz-595719.patch
Patch104: 0105-multipath-remove-multipath-udev-rules-if-no-multipat.patch
Patch105: 0106-Just-look-for-cryptroot-instead-of-sbin-cryptroot.patch
Patch106: 0107-Have-cryptroot-ask-load-dm_crypt-if-needed.patch
Patch107: 0108-90crypt-crypto_LUKS-identifier-corrected.patch
Patch108: 0109-plymouth-cryptroot-ask.sh-beautify-password-prompt.patch
Patch109: 0110-iscsi-add-support-for-multiple-netroot-iscsi.patch
Patch110: 0111-lvm-install-lvm-mirror-and-snaphot-libs.patch
Patch111: 0112-network-depend-on-ifcfg-if-etc-sysconfig-network-scr.patch
Patch112: 0113-crypt-install-more-aes-modules.patch
Patch113: 0114-network-strip-pxelinux-hardware-type-field-from-BOOT.patch
Patch114: 0115-fixed-ip-dhcp6.patch
Patch115: 0116-dracut.8-add-note-about-putting-IPv6-addresses-in-br.patch
Patch116: 0117-dracut.8-changed-IPv6-addresses-to-the-documentation.patch
Patch117: 0118-fips-fixes-copy-paste-error-for-check.patch
Patch118: 0119-crypt-add-fpu-kernel-module.patch
Patch119: 0120-Write-rules-for-symlinks-to-dev-.udev-rules.d-for-la.patch
Patch120: 0121-dracut-functions-set-LANG-C-for-ldd-output-parsing.patch
Patch121: 0122-dracut-functions-use-LC_ALL-C-rather-than-LANG-C.patch
Patch122: 0123-dmsquash-resume-do-not-name-the-dev-.udev-rules-like.patch
Patch123: 0124-dmsquash-live-mount-live-image-at-dev-.initramfs-liv.patch
Patch124: 0125-fcoe-moved-fcoeup-to-initqueue-udev-timeouts.patch
Patch125: 0126-dmsquash-live-depend-on-dm-module.patch
Patch126: 0127-dm-load-dm_mod-if-device-mapper-not-in-proc-misc.patch
Patch127: 0128-dmsquash-live-do-not-umount-dev-.initramfs-live-for-.patch
Patch128: 0129-plymouth-depend-on-crypt-if-cryptsetup-exists.patch
Patch129: 0130-crypt-assemble-70-luks.rules-dynamically.patch
Patch130: 0131-crypt-removed-default-70-luks.rules.patch
Patch131: 0132-crypt-parse-crypt.sh-fix-end-label-for-luks-udev-rul.patch
Patch132: 0133-crypt-wait-for-all-rd_LUKS_UUID-disks-to-appear.patch
Patch133: 0134-mknod-with-mode-and-set-umask-for-the-rest.patch
Patch134: 0135-lvm-wait-for-all-rd_LVM_LV-and-rd_LVM_VG-specified-t.patch
Patch135: 0136-fcoe-add-sleeps-to-fcoe-up.patch
Patch136: 0137-init-do-not-umask.patch
Patch137: 0138-selinux-fixed-error-handling-for-load-policy.patch
Patch138: 0139-crypt-strip-luks-from-rd_LUKS_UUID.patch
Patch139: 0140-dracut-functions-filter_kernel_modules-search-in-ext.patch
Patch140: 0141-mkinitrd-do-not-call-dracut-in-host-only-mode.patch
Patch141: 0142-dm-install-all-md-dm-kernel-modules.patch
Patch142: 0143-dmraid-switch-to-rd_NO_MDIMSM-if-no-mdadm-installed.patch
Patch143: 0144-add-96insmodpost-dracut-module.patch
Patch144: 0145-.rules-honor-DM_UDEV_DISABLE_OTHER_RULES_FLAG.patch
Patch145: 0146-mdraid-parse-md.sh-create-new-rules-then-mv-to-old-o.patch
Patch146: 0147-dracut-functions-filter_kernel_modules-search-in-ext.patch
Patch147: 0148-mkinitrd-dracut.sh-add-force.patch
Patch148: 0149-multipath-install-install-the-complete-etc-multipath.patch
Patch149: 0150-multipath-install-by-default-but-run-only-if-wwids-a.patch
Patch150: 0151-fcoe-add-EDD-parsing.patch
Patch151: 0152-network-add-iBFT-interface-configuration.patch
Patch152: 0153-fcoe-parse-fcoe.sh-removed-second-else.patch
Patch153: 0154-add-97biosdevname-dracut-module.patch
Patch154: 0155-fips-install-.hmac-files-for-cryptsetup-and-libs.patch
Patch155: 0156-base-install-less-optionally.patch
Patch156: 0157-fips-add-aes-xts-module.patch
Patch157: 0158-multipath-use-new-B-parameter.patch
Patch158: 0159-biosdevname-unbashify-parse-biosdevname.sh.patch
Patch159: 0160-dracut-functions-write-to-HOME-dracut.log-instead-of.patch
Patch160: 0161-add-dracut-html-documentation.patch
Patch161: 0162-dracut-rhel6.xml-update.patch
Patch162: 0163-parse-biosdevname-put-parenthesis-around-BIOSDEVNAME.patch
Patch163: 0164-dracut-functions-check-if-logfile-dir-is-writable.patch
Patch164: 0165-dracut-functions-add-date-to-logfile-messages.patch
Patch165: 0166-dracut-log-more-messages.patch
Patch166: 0167-dracut.spec-add-logrotate-file.patch
Patch167: 0169-fips-add-xts-gf128mul-to-FIPSMODULES.patch
Patch168: 0170-dracut-functions-fail-instmods-for-fips-module.patch
Patch169: 0171-suppress-modprobe-errors-on-builtins-credits-to-Kay-.patch
Patch170: 0172-fix-installation-of-modules.builtin.bin.patch
Patch171: 0173-fips-do-not-load-tcrypt-with-noexit-parameter.patch
Patch172: 0174-fips-installkernel-turn-off-hostonly-mode-for-fipsmo.patch
Patch173: 0175-fips-fips.sh-unbashify-if-clause.patch
Patch174: 0176-fips-install-fipscheck.patch
Patch175: 0177-install-.hmac-files-if-present.patch
Patch176: 0178-fips-hardcode-install-of-libcrypto.-and-libssl.patch
Patch177: 0179-fips-only-trigger-udev-if-boot-device-is-not-yet-pre.patch
Patch178: 0180-plymouth-execute-emergency-script-first.patch
Patch179: 0181-crypt-fix-emergency-script-generation.patch
Patch180: 0182-lvm-move-emergency-script-from-00-to-90.patch
Patch181: 0183-selinux-on-failure-die-rather-than-sleep.patch
Patch182: 0184-base-dracut-lib.sh-fix-die.patch
Patch183: 0185-init-turn-off-e-mode-in-emergency.patch
Patch184: 0186-init-die-if-.die-is-present.patch
Patch185: 0187-init-display-emergency-warning-with-warn-instead-of-.patch
Patch186: 0188-init-cause-a-kernel-panic-rather-than-sleep-forever-.patch
Patch187: 0189-dracut-make-i-include-SOURCE-TARGET-work-for-files-t.patch
Patch188: 0190-rdblacklist-rdinsmodpost-rdloaddriver-accept-comma-s.patch
Patch189: 0191-add-caps-module-to-drop-capabilities.patch
Patch190: 0192-fips-fixed-boot-dev-handling.patch
Patch191: 0193-iscsi-add-additional-hardcoded-modules.patch
Patch192: 0194-dracut-fix-path-to-strip-kernel-modules.patch
Patch193: 0195-fips-add-rd.fips.skipkernel-boot-option.patch
Patch194: 0196-dracut.8-add-fips-documentation.patch
Patch195: 0197-fcoe-parse-fcoe.sh-s-source-.-g.patch
Patch196: 0198-dracut.spec-update.patch
Patch197: 0199-fips-moved-to-pre-pivot-to-support-boot-in.patch
Patch198: 0200-fips-make-fips-work-with-encrypted-root-and-seperate.patch
Patch199: 0201-fips-set-e-has-no-effect-if-we-use.patch
Patch200: 0202-fips-use-small-settle-loop-to-get-boot.patch
Patch201: 0203-fips-also-support-FIPS-on-separate-LVM-partition.patch
Patch202: 0204-fcoe-moved-edd-detection-to-settled-initqueue.patch
Patch203: 0205-iscsi-set-initiator-from-ibft-if-possible.patch
Patch204: 0206-network-only-require-bootdev-for-netroot-dhcp-or-net.patch
Patch205: 0207-dracut-fips-pre_un_link-binaries-if-fips-module-was-.patch
Patch206: 0208-let-rpc-user-own-var-lib-rpcbind.patch
Patch207: 0209-mdraid-do-not-call-mdadm-I-with-no-degraded.patch
Patch208: 0210-mdraid-mdraid_start.sh-removed-local-in-non-function.patch
Patch209: 0211-fixed-testsuite.patch
Patch210: 0212-correct-module-name.patch
Patch211: 0213-skip-condition-fixed.patch
Patch212: 0214-don-t-overwrite-ifname.patch
Patch213: 0215-network-net-genrules.sh-also-honor-rename-events.patch
Patch214: 0216-network-parse-ip-opts.sh-fix-ifname-for-ibft-with-al.patch
Patch215: 0217-doc-clarify-iscsi_firmware-parameter-usage.patch
Patch216: 0218-iscsi-find-iscsi-kernel-modules-by-symbol-names.patch
Patch217: 0219-Makefile-add-rpm-and-syncheck-target.patch
Patch218: 0220-inc-TEST-disk-size.patch
Patch219: 0221-99base-add-timeout-queue.patch
Patch220: 0222-90mdraid-move-force-assembly-to-timeout-initqueue.patch
Patch221: 0223-lvm-use-sysinit-if-lvm-version-v2.02.65.patch
Patch222: 0224-90lvm-lvm_scan.sh-fixed-lvm-version-parsing.patch
Patch223: 0225-90lvm-lvm_scan.sh-use-partial-to-force-assembly-inco.patch
Patch224: 0226-95fstab-sys-mount-all-etc-fstab.sys-volumes-before-s.patch
Patch225: 0227-01fips-installkernel-add-dm-mod-and-dm-crypt-to-the-.patch
Patch226: 0228-99base-selinux-loadpolicy.sh-execute-chrooted-comman.patch
Patch227: 0229-modules.d-90dm-install-libdevmapper-event-for-90dm.patch
Patch228: 0230-90dm-dm-pre-udev.sh-load-dm-mirror-module.patch
Patch229: 0231-iscsi-bnx2i.patch
Patch230: 0232-modules.d-90dm-use-dmsetup-to-find-lib-dir.patch
Patch231: 0233-90mdraid-65-md-incremental-imsm.rules-incremental-ru.patch
Patch232: 0234-selinux-loadpolicy-hide-info-message-if-selinux-is-d.patch
Patch233: 0235-95fcoe-support-bnx2fc.patch
Patch234: 0236-95iscsi-parse-iscsiroot.sh-fixed-iscsi_tcp-module-lo.patch
Patch235: 0237-90mdraid-mdadm_auto.sh-incrementally-autoassemble.patch
Patch236: 0238-mdraid-lvm-order-timeout-queue-execution.patch
Patch237: 0239-dm-lvm-dmraid-cleanup-installation.patch
Patch238: 0240-network-allow-multiple-ip-autoconf-options.patch
Patch239: 0241-dm-dmsquash-live-check-for-dmsetup.patch
Patch240: 0242-02fips-aesni-add-fips-with-aesni-intel.patch
Patch241: 0243-create-var-log.patch
Patch242: 0244-99base-selinux-loadpolicy.sh-use-F-for-restorecon.patch
Patch243: 0245-dracut-lib.sh-add-killproc.patch
Patch244: 0246-iscsi-kill-iscsiuio.patch
Patch245: 0247-10redhat-i18n-optionally-install-console_init.patch
Patch246: 0248-95fcoe-fcoe-up-load-8021q-module-before-fipvlan.patch
Patch247: 0249-TEST-40-NBD-relax-check-for-fsoptions.patch
Patch248: 0250-fcoe-iscsi-udevadm-settle-after-module-loading.patch
Patch249: 0251-iscsi-install-iscsi_boot_sysfs-kernel-module.patch
Patch250: 0252-99base-dracut-lib.sh-fixed-killproc.patch
Patch251: 0253-95iscsi-hardcode-modprobe-a-bunch-of-iscsi-offload-k.patch
Patch252: 0254-45ifcfg-write-ifcfg.sh-check-for-existance-of-tmp-ne.patch
Patch253: 0255-40network-ifup-increase-RDRETRY-if-we-do-dhcp-to-wai.patch
Patch256: 0258-Revert-90mdraid-mdadm_auto.sh-incrementally-autoasse.patch
Patch257: 0259-dracut-only-source-install-if-available.patch
Patch258: 0260-90mdraid-mdcontainer_start.sh-do-not-start-with-I.patch
Patch259: 0261-90mdraid-65-md-incremental-imsm.rules-do-not-depend-.patch
Patch260: 0262-test-TEST-12-RAID-DEG-refine-test.patch
# Oracle patches
Patch1000: 0256-dracut-firmware.patch


BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?fedora} > 12 || 0%{?rhel} >= 6
# no "provides", because dracut does not offer
# all functionality of the obsoleted packages
Obsoletes: mkinitrd <= 6.0.93
Obsoletes: mkinitrd-devel <= 6.0.93
Obsoletes: nash <= 6.0.93
Obsoletes: libbdevid-python <= 6.0.93
%endif

Requires: bash
Requires: bzip2
Requires: coreutils
Requires: cpio
Requires: dash
Requires: filesystem >= 2.1.0
Requires: findutils
Requires: grep
Requires: gzip
Requires: initscripts >= 8.63-1
Requires: kbd
Requires: mktemp >= 1.5-5
Requires: module-init-tools >= 3.7-9
Requires: mount
Requires: plymouth >= 0.8.0-0.2009.29.09.19.1
Requires: plymouth-scripts
Requires: sed
Requires: tar
Requires: udev
Requires: util-linux-ng >= 2.16
Requires: which

%if ! 0%{?with_switch_root}
Requires: util-linux-ng >= 2.16
BuildArch: noarch
%endif

BuildRequires: docbook-style-xsl docbook-dtds libxslt

%description
dracut is a new, event-driven initramfs infrastructure based around udev.

%package network
Summary: Dracut modules to build a dracut initramfs with network support
Group: System Environment/Base		
Requires: %{name} = %{version}-%{release}
Requires: dhclient rpcbind nfs-utils 
Requires: iscsi-initiator-utils
%if %{with_nbd}
Requires: nbd
%endif
Requires: net-tools iproute
Requires: bridge-utils

%description network
This package requires everything which is needed to build a generic
all purpose initramfs with network support with dracut.

%package fips
Summary: Dracut modules to build a dracut initramfs with an integrity check
Group: System Environment/Base		
Requires: %{name} = %{version}-%{release}
Requires: hmaccalc fipscheck
%if 0%{?rhel} > 5
# For Alpha 3, we want nss instead of nss-softokn
Requires: nss
%else
Requires: nss-softokn
%endif
Requires: nss-softokn-freebl

%description fips
This package requires everything which is needed to build an
all purpose initramfs with dracut, which does an integrity check.

%package fips-aesni
Summary: Dracut modules to build a dracut initramfs with an integrity check with aesni-intel
Group: System Environment/Base		
Requires: %{name}-fips = %{version}-%{release}

%description fips-aesni
This package requires everything which is needed to build an
all purpose initramfs with dracut, which does an integrity check 
and adds the aesni-intel kernel module.

%package caps
Summary: Dracut modules to build a dracut initramfs which drops capabilities
Group: System Environment/Base		
Requires: %{name} = %{version}-%{release}
Requires: libcap

%description caps
This package requires everything which is needed to build an
all purpose initramfs with dracut, which drops capabilities.

%package generic
Summary: Metapackage to build a generic initramfs with dracut
Group: System Environment/Base		
Requires: %{name} = %{version}-%{release}
Requires: %{name}-network = %{version}-%{release}

%description generic
This package requires everything which is needed to build a generic
all purpose initramfs with dracut.


%package kernel
Summary: Metapackage to build generic initramfs with dracut with only kernel modules
Group: System Environment/Base		
Requires: %{name} = %{version}-%{release}

%description kernel
This package requires everything which is needed to build a initramfs with all
kernel modules and firmware files needed by dracut modules.

%package tools
Summary: Dracut tools to build the local initramfs
Group: System Environment/Base		
Requires: %{name} = %{version}-%{release}
Requires: coreutils cryptsetup-luks device-mapper
Requires: diffutils dmraid findutils gawk grep lvm2
Requires: module-init-tools sed
Requires: cpio gzip

%description tools
This package contains tools to assemble the local initrd and host configuration.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch87 -p1
%patch88 -p1
%patch89 -p1
%patch90 -p1
%patch91 -p1
%patch92 -p1
%patch93 -p1
%patch94 -p1
%patch95 -p1
%patch96 -p1
%patch97 -p1
%patch98 -p1
%patch99 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch123 -p1
%patch124 -p1
%patch125 -p1
%patch126 -p1
%patch127 -p1
%patch128 -p1
%patch129 -p1
%patch130 -p1
%patch131 -p1
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch135 -p1
%patch136 -p1
%patch137 -p1
%patch138 -p1
%patch139 -p1
%patch140 -p1
%patch141 -p1
%patch142 -p1
%patch143 -p1
%patch144 -p1
%patch145 -p1
%patch146 -p1
%patch147 -p1
%patch148 -p1
%patch149 -p1
%patch150 -p1
%patch151 -p1
%patch152 -p1
%patch153 -p1
%patch154 -p1
%patch155 -p1
%patch156 -p1
%patch157 -p1
%patch158 -p1
%patch159 -p1
%patch160 -p1
%patch161 -p1
%patch162 -p1
%patch163 -p1
%patch164 -p1
%patch165 -p1
%patch166 -p1
%patch167 -p1
%patch168 -p1
%patch169 -p1
%patch170 -p1
%patch171 -p1
%patch172 -p1
%patch173 -p1
%patch174 -p1
%patch175 -p1
%patch176 -p1
%patch177 -p1
%patch178 -p1
%patch179 -p1
%patch180 -p1
%patch181 -p1
%patch182 -p1
%patch183 -p1
%patch184 -p1
%patch185 -p1
%patch186 -p1
%patch187 -p1
%patch188 -p1
%patch189 -p1
%patch190 -p1
%patch191 -p1
%patch192 -p1
%patch193 -p1
%patch194 -p1
%patch195 -p1
%patch196 -p1
%patch197 -p1
%patch198 -p1
%patch199 -p1
%patch200 -p1
%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1
%patch208 -p1
%patch209 -p1
%patch210 -p1
%patch211 -p1
%patch212 -p1
%patch213 -p1
%patch214 -p1
%patch215 -p1
%patch216 -p1
%patch217 -p1
%patch218 -p1
%patch219 -p1
%patch220 -p1
%patch221 -p1
%patch222 -p1
%patch223 -p1
%patch224 -p1
%patch225 -p1
%patch226 -p1
%patch227 -p1
%patch228 -p1
%patch229 -p1
%patch230 -p1
%patch231 -p1
%patch232 -p1
%patch233 -p1
%patch234 -p1
%patch235 -p1
%patch236 -p1
%patch237 -p1
%patch238 -p1
%patch239 -p1
%patch240 -p1
%patch241 -p1
%patch242 -p1
%patch243 -p1
%patch244 -p1
%patch245 -p1
%patch246 -p1
%patch247 -p1
%patch248 -p1
%patch249 -p1
%patch250 -p1
%patch251 -p1
%patch252 -p1
%patch253 -p1
%patch256 -p1
%patch257 -p1
%patch258 -p1
%patch259 -p1
%patch260 -p1
# Oracle patches
%patch1000 -p0

chmod 0755 modules.d/*/check
# make rpmlint happy
chmod 0755 modules.d/*/install
chmod 0755 modules.d/*/installkernel
chmod 0755 modules.d/*/*.sh

%build
make WITH_SWITCH_ROOT=0%{?with_switch_root}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT sbindir=/sbin \
     sysconfdir=/etc mandir=%{_mandir} WITH_SWITCH_ROOT=0%{?with_switch_root}

echo %{name}-%{version}-%{release} > $RPM_BUILD_ROOT/%{_datadir}/dracut/modules.d/10rpmversion/dracut-version
rm $RPM_BUILD_ROOT/%{_datadir}/dracut/modules.d/01fips/check
rm $RPM_BUILD_ROOT/%{_datadir}/dracut/modules.d/02fips-aesni/check

mkdir -p $RPM_BUILD_ROOT/boot/dracut
mkdir -p $RPM_BUILD_ROOT/var/lib/dracut/overlay
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log
touch $RPM_BUILD_ROOT%{_localstatedir}/log/dracut.log

%if 0%{?fedora} <= 12 && 0%{?rhel} < 6
rm $RPM_BUILD_ROOT/sbin/mkinitrd
rm $RPM_BUILD_ROOT/sbin/lsinitrd
%endif

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 0644 dracut.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/dracut

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README HACKING TODO COPYING AUTHORS NEWS dracut-rhel6.html
/sbin/dracut
%if 0%{?with_switch_root}
/sbin/switch_root
%endif
%if 0%{?fedora} > 12 || 0%{?rhel} >= 6
/sbin/mkinitrd
/sbin/lsinitrd
%endif
%dir %{_datadir}/dracut
%{_datadir}/dracut/dracut-functions
%config(noreplace) /etc/dracut.conf
%dir /etc/dracut.conf.d
%config(noreplace) /etc/logrotate.d/dracut
%{_mandir}/man8/dracut.8*
%{_mandir}/man5/dracut.conf.5*
%{_datadir}/dracut/modules.d/00dash
%{_datadir}/dracut/modules.d/10redhat-i18n
%{_datadir}/dracut/modules.d/10rpmversion
%{_datadir}/dracut/modules.d/50plymouth
%{_datadir}/dracut/modules.d/60xen
%{_datadir}/dracut/modules.d/90btrfs
%{_datadir}/dracut/modules.d/90crypt
%{_datadir}/dracut/modules.d/90dm
%{_datadir}/dracut/modules.d/90dmraid
%{_datadir}/dracut/modules.d/90dmsquash-live
%{_datadir}/dracut/modules.d/90kernel-modules
%{_datadir}/dracut/modules.d/90lvm
%{_datadir}/dracut/modules.d/90mdraid
%{_datadir}/dracut/modules.d/90multipath
%{_datadir}/dracut/modules.d/95debug
%{_datadir}/dracut/modules.d/95fstab-sys
%{_datadir}/dracut/modules.d/95resume
%{_datadir}/dracut/modules.d/95rootfs-block
%{_datadir}/dracut/modules.d/95dasd
%{_datadir}/dracut/modules.d/95dasd_mod
%{_datadir}/dracut/modules.d/95zfcp
%{_datadir}/dracut/modules.d/95znet
%{_datadir}/dracut/modules.d/95terminfo
%{_datadir}/dracut/modules.d/95udev-rules
%{_datadir}/dracut/modules.d/95uswsusp
%{_datadir}/dracut/modules.d/96insmodpost
%{_datadir}/dracut/modules.d/97biosdevname
%{_datadir}/dracut/modules.d/98syslog
%{_datadir}/dracut/modules.d/99base
%attr(0644,root,root) %ghost %config(missingok,noreplace) %{_localstatedir}/log/dracut.log

%files network
%defattr(-,root,root,0755)
%doc README HACKING TODO COPYING AUTHORS NEWS
%{_datadir}/dracut/modules.d/40network
%{_datadir}/dracut/modules.d/95fcoe
%{_datadir}/dracut/modules.d/95iscsi
%{_datadir}/dracut/modules.d/95nbd
%{_datadir}/dracut/modules.d/95nfs
%{_datadir}/dracut/modules.d/45ifcfg

%files fips
%defattr(-,root,root,0755)
%doc COPYING
%{_datadir}/dracut/modules.d/01fips

%files fips-aesni
%defattr(-,root,root,0755)
%doc COPYING
%{_datadir}/dracut/modules.d/02fips-aesni

%files caps
%defattr(-,root,root,0755)
%doc COPYING
%{_datadir}/dracut/modules.d/02caps

%files kernel 
%defattr(-,root,root,0755)
%doc README.kernel

%files generic
%defattr(-,root,root,0755)
%doc README.generic

%files tools
%defattr(-,root,root,0755)
%doc COPYING NEWS
%{_mandir}/man8/dracut-gencmdline.8*
%{_mandir}/man8/dracut-catimages.8*
/sbin/dracut-gencmdline
/sbin/dracut-catimages
%dir /boot/dracut
%dir /var/lib/dracut
%dir /var/lib/dracut/overlay

%changelog
* Wed Feb 23 2012 Kevin Lyons <kevin.x.lyons@oracle.com> 004-256.0.1.el6_2.1
- find firmware in /lib/modules/firmware/`uname -r` first
  and /lib/modules/firmware second (<maxim.uvarov@oracle.com)
  Resolves: Orabug: 13351090

* Wed Feb 15 2012 Harald Hoyer <harald@redhat.com> 004-256.1
- fixed loading of dracut-fips-aesni module
Resolves: rhbz#790943
- fixed assembling of mdraid degraded arrays
Resolves: rhbz#791128

* Fri Nov 04 2011 Harald Hoyer <harald@redhat.com> 004-256
- increase timeout to wait for dhcp connections
Resolves: rhbz#742920
- check /tmp/net.$netif.override before sourcing it
Resolves: rhbz#696980

* Tue Oct 18 2011 Harald Hoyer <harald@redhat.com> 004-254
- fixed killproc()
Resolves: rhbz#701864
- hardcode modprobe of various iscsi offload drivers
Resolves: rhbz#737134

* Mon Oct 10 2011 Harald Hoyer <harald@redhat.com> 004-248
- 95fcoe/fcoe-up: load 8021q module before fipvlan
Resolves: rhbz#736094
- modprobe iscsi_boot_sysfs
Resolves: rhbz#737134

* Wed Sep 28 2011 Harald Hoyer <harald@redhat.com> 004-247
- add "-F" to selinux restorecon 
Resolves: rhbz#741430
- kill iscsiuio before switching root
Resolves: rhbz#701864

* Fri Sep 23 2011 Harald Hoyer <harald@redhat.com> 004-244
- add dracut-fips-aesni subpackage
Resolves: rhbz#740487 
- add /var/log in initramfs
Resolves: rhbz#701864

* Wed Sep 21 2011 Harald Hoyer <harald@redhat.com> 004-242
- fixed minimal install
Resolves: rhbz#736671

* Tue Sep 20 2011 Harald Hoyer <harald@redhat.com> 004-239
- fixed raid assembly with encrypted members
Resolves: rhbz#737593
- support bnx2fc for FCoE
Resolves: rhbz#736094
- fixed iscsi module loading
Resolves: rhbz#737479

* Fri Sep 09 2011 Harald Hoyer <harald@redhat.com> 004-235
- do not display selinux info message, if selinux is disabled
Resolves: rhbz#659076

* Wed Aug 24 2011 Harald Hoyer <harald@redhat.com> 004-234
- add broadcom iscsi offload support
Resolves: rhbz#701864
- fixed dm dracut module, to no require dmraid
Resolves: rhbz#732686
- fixed md raid assembly
Resolves: rhbz#732967

* Fri Aug 05 2011 Harald Hoyer <harald@redhat.com> 004-231
- add more kernel modules for iSCSI
Resolves: rhbz#696980
- chown /var/lib/rpcbind to rpc user and make it 770
Resolves: rhbz#698160
- remove "--no-degraded" from mdadm arguments
Resolves: rhbz#698165
- remove script error in mdraid_start.sh
Resolves: rhbz#698215
- parse and mount fstab.sys
Resolves: rhbz#701309
- add "dm-mod" and "dm-crypt" to fips modules
Resolves: rhbz#707609
- set LANG=C for chrooted selinux operations
Resolves: rhbz#712254
- use "--partial" to assemble degraded lvm mirrors
Resolves: rhbz#723548
- spec file patch cleanup to resemble git repo at
http://git.kernel.org/?p=boot/dracut/dracut.git;a=shortlog;h=refs/heads/RHEL-6

* Wed Apr 27 2011 Harald Hoyer <harald@redhat.com> 004-53
- fixed "ip=ibft" (mganisin@redhat.com)
Resolves: rhbz#640979

* Mon Apr 18 2011 Harald Hoyer <harald@redhat.com> 004-52
- fips: support /boot on LVM Volume for non-encrypted root
- preunlink binaries in fips mode
Resolves: rhbz#696131
- Fixed FCoE booting with EDD information

* Wed Apr 13 2011 Harald Hoyer <harald@redhat.com> 004-50
- fips: small settle loop to wait for /boot
Resolves: rhbz#696131

* Mon Apr 11 2011 Harald Hoyer <harald@redhat.com> 004-49
- make fips work with separate boot and encrypted root
Resolves: rhbz#692843

* Fri Apr 08 2011 Harald Hoyer <harald@redhat.com> 004-48
- removed rd.fips.skipkernel and move fipscheck to a later
  point of time, where root is already mounted
Resolves: rhbz#692843

* Wed Apr 06 2011 Harald Hoyer <harald@redhat.com> 004-47
- added iscsi kernel driver
Resolves: rhbz#689694
- added rd.fips.skipkernel
Resolves: rhbz#692843

* Wed Mar 30 2011 Harald Hoyer <harald@redhat.com> 004-46
- fixed boot=UUID=<dev> for fips
Resolves: rhbz#691419

* Wed Mar 09 2011 Harald Hoyer <harald@redhat.com> 004-44
- fixed die() and emergency mode for fips
Resolves: rhbz#670925
- added dracut-caps with caps module
Resolves: rhbz#677340

* Wed Mar 02 2011 Harald Hoyer <harald@redhat.com> 004-43
- fixed "fips=0"
- fixed .hmac file installation for hostonly mode
- hardcode to include libssl.so* in fips
Resolves: rhbz#670925

* Tue Mar 01 2011 Harald Hoyer <harald@redhat.com> 004-42
- fixed instmods() for fips module
- do not load tcrypt with "noexit" parameter
Resolves: rhbz#670925

* Mon Feb 28 2011 Harald Hoyer <harald@redhat.com> 004-41
- add "xts gf128mul" to FIPSMODULES
Resolves: rhbz#670925

* Fri Feb 25 2011 Harald Hoyer <harald@redhat.com> 004-40
- fixed dracut logging
Resolves: rhbz#676018
- fixed biosdevname module
Resolves: rhbz#675118

* Wed Feb 16 2011 Harald Hoyer <harald@redhat.com> 004-39
- do not write to /tmp/dracut.log
Resolves: rhbz#676018

* Tue Feb 08 2011 Harald Hoyer <harald@redhat.com> 004-38
- fixed biosdevname module
Resolves: rhbz#675118

* Thu Feb 03 2011 Harald Hoyer <harald@redhat.com> 004-37
- add aes-xts in FIPS module
Resolves: rhbz#670925
- start multipathd with the new -B option
Resolves: rhbz#674238

* Wed Jan 26 2011 Harald Hoyer <harald@redhat.com> 004-36
- add biosdevname module
Resolves: rhbz#653901
- install .hmac files for fips
Resolves: rhbz#669438

* Wed Dec 08 2010 Harald Hoyer <harald@redhat.com> 004-35
- fixed typo
Resolves: rhbz#634013

* Wed Dec 08 2010 Harald Hoyer <harald@redhat.com> 004-34
- fix md rule generation
Resolves: rhbz#595096
- add 96insmodpost dracut module
Resolves: rhbz#645648
- add "--force" to mkinitrd
Resolves: rhbz#610466
- fix dmraid without mdadm
Resolves: rhbz#626389
- install the complete /etc/multipath directory
Resolves: rhbz#630911
- install multipath by default, but run only if wwids are present
Resolves: rhbz#636668 rhbz#642083
- removed vconfig dependency
Resolves: rhbz#645799
- install all md/dm modules
Resolves: rhbz#626389
- add fcoe=edd parameter
Resolves: rhbz#634013
- add ip=ibft parameter
Resolves: rhbz#640979

* Tue Nov 09 2010 Harald Hoyer <harald@redhat.com> 004-33
- honor DM_UDEV_DISABLE_OTHER_RULES_FLAG
Resolves: rhbz#650959

* Thu Aug 19 2010 Harald Hoyer <harald@redhat.com> 004-32
- do not call dracut with hostonly from within mkinitrd
Resolves: rhbz#624826

* Wed Aug 11 2010 Harald Hoyer <harald@redhat.com> 004-31
- also search in "updates"
Resolves: rhbz#622641

* Tue Aug 10 2010 Harald Hoyer <harald@redhat.com> 004-30
- search for kernel modules also in "extra" and "weak-updates"
Resolves: rhbz#622641

* Thu Jul 29 2010 Harald Hoyer <harald@redhat.com> 004-29
- strip "luks-" from rd_LUKS_UUID while processing
Resolves: rhbz#607699

* Thu Jul 29 2010 Harald Hoyer <harald@redhat.com> 004-28
- do not set strict umask
Resolves: rhbz#617526

* Tue Jul 27 2010 Harald Hoyer <harald@redhat.com> 004-27
- fixed device permission
Resolves: rhbz#617526 

* Fri Jul 23 2010 Harald Hoyer <harald@redhat.com> 004-26
- wait for LVM and crypt devices to appear
Resolves: rhbz#607699
- add sleeps to fcoe-up and move it out of udev
Resolves: rhbz#611976
- fixed selinux return code handling
Resolves: rhbz#615950

* Fri Jul 09 2010 Harald Hoyer <harald@redhat.com> 004-25
- mount live images to /dev/.initramfs/live and do not
  umount it, so that cdrom_id works in the real root
  and /dev/live is pointing to the correct device
Resolves: rhbz#605356

* Mon Jul 05 2010 Harald Hoyer <harald@redhat.com> 004-24
- removed dependency of tools, which should be installed 
  by anaconda
Resolves: rhbz#598509

* Tue Jun 29 2010 Harald Hoyer <harald@redhat.com> 004-23
- add vconfig requirement to dracut-network
Resolves: rhbz#608015
- fixed dhcp6 option for ip argument
Resolves: rhbz#605283

* Mon Jun 21 2010 Harald Hoyer <harald@redhat.com> 004-22
- add fpu kernel module to crypt
Resolves: rhbz#600170

* Fri Jun 11 2010 Harald Hoyer <harald@redhat.com> 004-21
- Remove requirements, which are not really needed
Resolves: rhbz#598509
- fixed copy of network config to /dev/.initramfs/ (patch 146)
Resolves: rhbz#594649
- more password beauty (patch 142)
Resolves: rhbz#561092
- support multiple iSCSI disks (patch 143)
Resolves: rbhz#580190
- fixed selinux=0 (patch 130)
Resolves: rhbz#593080
- add support for booting LVM snapshot root volume (patch 145)
Resolves: rbhz#602723
- remove hardware field from BOOTIF= (patch 148)
Resolves: rhbz#599593
- add aes kernel modules and fix crypt handling (patch 137, patch 140 and patch 147)
Resolves: rhbz#600170

* Wed Jun 02 2010 Phil Knirsch <pknirsch@redhat.com> 004-20.1
- Reverted and fixed up most of the requirement changes
Resolves: #598509

* Thu May 27 2010 Harald Hoyer <harald@redhat.com> 004-20
- fixed Requirements
- fixed autoip6 
Resolves: rhbz#538388
- fixed multipath
Resolves: rhbz#595719

* Thu May 06 2010 Harald Hoyer <harald@redhat.com> 004-19
- only display short password messages
Resolves: rhbz#561092

* Thu May 06 2010 Harald Hoyer <harald@redhat.com> 004-18
- fixed dracut manpages 
Resolves: rhbz#589109
- use ccw-init and ccw rules from s390utils
Resolves: rhbz#533494
- fixed fcoe
Resolves: rhbz#486244
- various other bugfixes seen in Fedora

* Thu Mar 25 2010 Harald Hoyer <harald@redhat.com> 004-17
- removed firmware requirements (rhbz#572634)
- add /etc/dracut.conf.d
- Resolves: rhbz#572634

* Fri Mar 19 2010 Harald Hoyer <harald@redhat.com> 004-16
- fixed rpmlint errors (rhbz#570547)
- removed firmware package from dracut-kernel (rhbz#572634)
- add dcb support to dracut's FCoE support (rhbz#563794)
- force install some modules in hostonly mode (rhbz#573094)
- various other bugfixes
- Resolves: rhbz#570547, rhbz#572634, rhbz#563794, rhbz#573094

* Thu Feb 18 2010 Harald Hoyer <harald@redhat.com> 004-15
- fixed "selinux=0" booting (rhbz#566376)
- fixed internal IFS handling
- Resolves: rhbz#566376

* Wed Feb 17 2010 Harald Hoyer <harald@redhat.com> 004-14
- fixed remount root (rhbz#566246)
- Resolves: rhbz#566246

* Wed Feb 17 2010 Harald Hoyer <harald@redhat.com> 004-13
- fixed multipath scanning
- fixed NFS4 (rhbz#564293)
- add /etc/dracut.conf.d config dir
- fixed selinux disabled state
- fixed s390 cio scripts
- fixed lib64 check (rhbz#562113)
- Resolves: rhbz#564293, rhbz#562113 

* Mon Feb 08 2010 Harald Hoyer <harald@redhat.com> 004-12
- add IPv6 support
- fixed multipath check
- fixed selinux autorelabel case
- Resolves: rhbz#546615 rhbz#553195

* Tue Jan 26 2010 Harald Hoyer <harald@redhat.com> 004-3
- fix selinux handling if .autorelabel is present
- Resolves: rhbz#557744

* Wed Jan 20 2010 Harald Hoyer <harald@redhat.com> 004-2
- fix emergency_shell argument parsing
- Related: rhbz#543948

* Fri Jan 15 2010 Harald Hoyer <harald@redhat.com> 004-1
- version 004
- Resolves: rhbz#529339 rhbz#533494 rhbz#548550 
- Resolves: rhbz#548555 rhbz#553195

* Wed Jan 13 2010 Harald Hoyer <harald@redhat.com> 003-3
- add Obsoletes of mkinitrd/nash/libbdevid-python
- Related: rhbz#543948

* Wed Jan 13 2010 Warren Togami <wtogami@redhat.com> 003-2
- nbd is Fedora only

* Fri Nov 27 2009 Harald Hoyer <harald@redhat.com> 003-1
- version 003

* Mon Nov 23 2009 Harald Hoyer <harald@redhat.com> 002-26
- add WITH_SWITCH_ROOT make flag
- add fips requirement conditional
- add more device mapper modules (bug #539656)

* Fri Nov 20 2009 Dennis Gregorovic <dgregor@redhat.com> - 002-25.1
- nss changes for Alpha 3

* Thu Nov 19 2009 Harald Hoyer <harald@redhat.com> 002-25
- add more requirements for dracut-fips (bug #539257)

* Tue Nov 17 2009 Harald Hoyer <harald@redhat.com> 002-24
- put fips module in a subpackage (bug #537619)

* Tue Nov 17 2009 Harald Hoyer <harald@redhat.com> 002-23
- install xdr utils for multipath (bug #463458)

* Thu Nov 12 2009 Harald Hoyer <harald@redhat.com> 002-22
- add module 90multipath
- add module 01fips
- renamed module 95ccw to 95znet (bug #533833)
- crypt: ignore devices in /etc/crypttab (root is not in there)
- dasd: only install /etc/dasd.conf in hostonly mode (bug #533833)
- zfcp: only install /etc/zfcp.conf in hostonly mode (bug #533833)
- kernel-modules: add scsi_dh scsi_dh_rdac scsi_dh_emc (bug #527750)
- dasd: use dasdconf.sh from s390utils (bug #533833)

* Fri Nov 06 2009 Harald Hoyer <harald@redhat.com> 002-21
- fix rd_DASD argument handling (bug #531720)
- Resolves: rhbz#531720

* Wed Nov 04 2009 Harald Hoyer <harald@redhat.com> 002-20
- fix rd_DASD argument handling (bug #531720)
- Resolves: rhbz#531720

* Tue Nov 03 2009 Harald Hoyer <harald@redhat.com> 002-19
- changed rd_DASD to rd_DASD_MOD (bug #531720)
- Resolves: rhbz#531720

* Tue Oct 27 2009 Harald Hoyer <harald@redhat.com> 002-18
- renamed lvm/device-mapper udev rules according to upstream changes
- fixed dracut search path issue

* Mon Oct 26 2009 Harald Hoyer <harald@redhat.com> 002-17
- load dm_mod module (bug #530540)

* Fri Oct 09 2009 Jesse Keating <jkeating@redhat.com> - 002-16
- Upgrade plymouth to Requires(pre) to make it show up before kernel

* Thu Oct 08 2009 Harald Hoyer <harald@redhat.com> 002-15
- s390 ccw: s/layer1/layer2/g

* Thu Oct 08 2009 Harald Hoyer <harald@redhat.com> 002-14
- add multinic support
- add s390 zfcp support
- add s390 network support

* Wed Oct 07 2009 Harald Hoyer <harald@redhat.com> 002-13
- fixed init=<command> handling
- kill loginit if "rdinitdebug" specified
- run dmsquash-live-root after udev has settled (bug #527514)

* Tue Oct 06 2009 Harald Hoyer <harald@redhat.com> 002-12
- add missing loginit helper
- corrected dracut manpage

* Thu Oct 01 2009 Harald Hoyer <harald@redhat.com> 002-11
- fixed dracut-gencmdline for root=UUID or LABEL

* Thu Oct 01 2009 Harald Hoyer <harald@redhat.com> 002-10
- do not destroy assembled raid arrays if mdadm.conf present
- mount /dev/shm 
- let udevd not resolve group and user names
- preserve timestamps of tools on initramfs generation
- generate symlinks for binaries correctly
- moved network from udev to initqueue
- mount nfs3 with nfsvers=3 option and retry with nfsvers=2
- fixed nbd initqueue-finished
- improved debug output: specifying "rdinitdebug" now logs
  to dmesg, console and /init.log
- stop udev before killing it
- add ghost /var/log/dracut.log
- dmsquash: use info() and die() rather than echo
- strip kernel modules which have no x bit set
- redirect stdin, stdout, stderr all RW to /dev/console
  so the user can use "less" to view /init.log and dmesg

* Tue Sep 29 2009 Harald Hoyer <harald@redhat.com> 002-9
- make install of new dm/lvm udev rules optionally
- correct dasd module typo

* Fri Sep 25 2009 Warren Togami <wtogami@redhat.com> 002-8
- revert back to dracut-002-5 tarball 845dd502
  lvm2 was reverted to pre-udev

* Wed Sep 23 2009 Harald Hoyer <harald@redhat.com> 002-7
- build with the correct tarball

* Wed Sep 23 2009 Harald Hoyer <harald@redhat.com> 002-6
- add new device mapper udev rules and dmeventd 
  bug 525319, 525015

* Wed Sep 23 2009 Warren Togami <wtogami@redaht.com> 002-5
- Revert back to -3, Add umount back to initrd
  This makes no functional difference to LiveCD.  See Bug #525319

* Mon Sep 21 2009 Warren Togami <wtogami@redhat.com> 002-4
- Fix LiveCD boot regression

* Mon Sep 21 2009 Harald Hoyer <harald@redhat.com> 002-3
- bail out if selinux policy could not be loaded and 
  selinux=0 not specified on kernel command line 
  (bug #524113)
- set finished criteria for dmsquash live images

* Fri Sep 18 2009 Harald Hoyer <harald@redhat.com> 002-2
- do not cleanup dmraids
- copy over lvm.conf

* Thu Sep 17 2009 Harald Hoyer <harald@redhat.com> 002-1
- version 002
- set correct PATH
- workaround for broken mdmon implementation

* Wed Sep 16 2009 Harald Hoyer <harald@redhat.com> 001-12
- removed lvm/mdraid/dmraid lock files
- add missing ifname= files

* Wed Sep 16 2009 Harald Hoyer <harald@redhat.com> 001-11
- generate dracut-version during rpm build time

* Tue Sep 15 2009 Harald Hoyer <harald@redhat.com> 001-10
- add ifname= argument for persistent netdev names
- new /initqueue-finished to check if the main loop can be left
- copy mdadm.conf if --mdadmconf set or mdadmconf in dracut.conf

* Wed Sep 09 2009 Harald Hoyer <harald@redhat.com> 001-9
- added Requires: plymouth-scripts

* Wed Sep 09 2009 Harald Hoyer <harald@redhat.com> 001-8
- plymouth: use plymouth-populate-initrd
- add add_drivers for dracut and dracut.conf
- do not mount /proc and /selinux manually in selinux-load-policy

* Wed Sep 09 2009 Harald Hoyer <harald@redhat.com> 001-7
- add scsi_wait_scan to be sure everything was scanned

* Tue Sep 08 2009 Harald Hoyer <harald@redhat.com> 001-6
- fixed several problems with md raid containers
- fixed selinux policy loading

* Tue Sep 08 2009 Harald Hoyer <harald@redhat.com> 001-5
- patch does not honor file modes, fixed them manually

* Mon Sep 07 2009 Harald Hoyer <harald@redhat.com> 001-4
- fixed mdraid for IMSM

* Mon Sep 07 2009 Harald Hoyer <harald@redhat.com> 001-3
- fixed bug, which prevents installing 61-persistent-storage.rules (bug #520109)

* Thu Sep 03 2009 Harald Hoyer <harald@redhat.com> 001-2
- fixed missing grep for md
- reorder cleanup

* Wed Sep 02 2009 Harald Hoyer <harald@redhat.com> 001-1
- version 001
- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS

* Fri Aug 14 2009 Harald Hoyer <harald@redhat.com> 0.9-1
- version 0.9

* Thu Aug 06 2009 Harald Hoyer <harald@redhat.com> 0.8-1
- version 0.8 
- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS

* Fri Jul 24 2009 Harald Hoyer <harald@redhat.com> 0.7-1
- version 0.7
- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS

* Wed Jul 22 2009 Harald Hoyer <harald@redhat.com> 0.6-1
- version 0.6
- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS

* Fri Jul 17 2009 Harald Hoyer <harald@redhat.com> 0.5-1
- version 0.5
- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS

* Sat Jul 04 2009 Harald Hoyer <harald@redhat.com> 0.4-1
- version 0.4
- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS

* Thu Jul 02 2009 Harald Hoyer <harald@redhat.com> 0.3-1
- version 0.3
- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS

* Wed Jul 01 2009 Harald Hoyer <harald@redhat.com> 0.2-1
- version 0.2

* Fri Jun 19 2009 Harald Hoyer <harald@redhat.com> 0.1-1
- first release

* Thu Dec 18 2008 Jeremy Katz <katzj@redhat.com> - 0.0-1
- Initial build

